Bug 74391 - Double byte characters not shown after highlighting single byte characters
Summary: Double byte characters not shown after highlighting single byte characters
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
4.2.0.4 release
Hardware: Other Windows (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Calc-Cells
  Show dependency treegraph
 
Reported: 2014-02-02 16:45 UTC by HT
Modified: 2019-08-29 22:21 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
Test file for your convenience. (11.76 KB, application/vnd.oasis.opendocument.spreadsheet)
2014-02-02 16:45 UTC, HT
Details
Images describing the behaviour (112.54 KB, application/vnd.oasis.opendocument.presentation)
2014-02-19 12:07 UTC, HT
Details

Note You need to log in before you can comment on or make changes to this bug.
Description HT 2014-02-02 16:45:40 UTC
Created attachment 93234 [details]
Test file for your convenience.

After highlighting single byte characters inside a cell, pressing Enter will result in double byte characters in the same cell to disappear.

Steps to reproduce:
1 Open the attached bugdoc.ods
2 Press F2 to enter the cell
3 Place the cursor at the end of the string, hold down Shift and press left arrow keys to highlight only the alphabets
4 While the alphabets are highlighted, press Enter to exit the cell
5 Double byte character disappear

Environment:
Windows 7
LibreOffice 4.2.0.4 Japanese, downloaded from the official site.

The data itself is still there so it is only the appearance issue.
Comment 1 m.a.riosv 2014-02-08 00:20:11 UTC
Hi HT, thanks for reporting.

I can't reproduce with:
Version: 4.2.0.4 Build ID: 05dceb5d363845f2cf968344d7adab8dcfb2ba71

Please try resetting the user profile, sometimes solves strange issues.
https://wiki.documentfoundation.org/UserProfile
Comment 2 HT 2014-02-17 13:20:07 UTC
(In reply to comment #1)
> Hi HT, thanks for reporting.
> 
> I can't reproduce with:
> Version: 4.2.0.4 Build ID: 05dceb5d363845f2cf968344d7adab8dcfb2ba71
> 
> Please try resetting the user profile, sometimes solves strange issues.
> https://wiki.documentfoundation.org/UserProfile

Thank you for the suggestion. But when I submit my bug, I always make sure the Program Files and User Profiles from older versions are removed before installing the new version.

It may be Japanese version specific bug, perhaps. It did not reproduce with AOO nor older version of LO so I believe my PC is fine.

I've seen a few issues raised about having single and double byte characters being used within one cell, this might also be related somehow.
JFYI bug 72470

Like I mentioned earlier, it is only a visual issue without any hangs so prio isn't too high.
Comment 3 m.a.riosv 2014-02-17 14:40:00 UTC
Then maybe you want try with 4.2.1.1 where the bug 72470 seems resolved.
http://downloadarchive.documentfoundation.org/libreoffice/old/?C=M;O=D
Comment 4 HT 2014-02-19 12:06:37 UTC
I have downloaded and installed 4.2.1.1 but it still persists.
Will attach a file to show you what happens in images.
Comment 5 HT 2014-02-19 12:07:28 UTC
Created attachment 94349 [details]
Images describing the behaviour
Comment 6 m.a.riosv 2014-02-19 14:57:01 UTC
Reproducible:
Win7x64Ult.
Versión: 4.2.1.1 Id. de compilación: d7dbbd7842e6a58b0f521599204e827654e1fb8b

But It's reproducible with UI Japanese, locale Japanese, although without data loss, if you go one page down and again up, the cell looks fine.

I can't reproduce it with English UI.
Comment 7 HT 2014-02-20 16:45:35 UTC
Odd, huh?  Maybe someone familiar with JPN UI could take a look too. But like you already know, it goes away just by a scroll up and down so not a major issue.
Comment 8 QA Administrators 2016-02-21 08:35:07 UTC Comment hidden (obsolete)
Comment 9 QA Administrators 2017-03-06 15:08:43 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present on a currently supported version of LibreOffice 
(5.2.5 or 5.3.0  https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the version of LibreOffice and 
your operating system, and any changes you see in the bug behavior
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave 
a short comment that includes your version of LibreOffice and Operating System

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3)

http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to "inherited from OOo";
4b. If the bug was not present in 3.3 - add "regression" to keyword


Feel free to come ask questions or to say hello in our QA chat: http://webchat.freenode.net/?channels=libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug-20170306